enum ErrorCode {
  // Timeout errors
  ERR_WEBEID_ACTION_TIMEOUT = "ERR_WEBEID_ACTION_TIMEOUT",
  ERR_WEBEID_USER_TIMEOUT   = "ERR_WEBEID_USER_TIMEOUT",
  ERR_WEBEID_SERVER_TIMEOUT = "ERR_WEBEID_SERVER_TIMEOUT",

  // Health errors
  ERR_WEBEID_VERSION_MISMATCH      = "ERR_WEBEID_VERSION_MISMATCH",
  ERR_WEBEID_VERSION_INVALID       = "ERR_WEBEID_VERSION_INVALID",
  ERR_WEBEID_EXTENSION_UNAVAILABLE = "ERR_WEBEID_EXTENSION_UNAVAILABLE",
  ERR_WEBEID_NATIVE_UNAVAILABLE    = "ERR_WEBEID_NATIVE_UNAVAILABLE",
  ERR_WEBEID_UNKNOWN_ERROR         = "ERR_WEBEID_UNKNOWN_ERROR",

  // Security errors
  ERR_WEBEID_CONTEXT_INSECURE        = "ERR_WEBEID_CONTEXT_INSECURE",
  ERR_WEBEID_PROTOCOL_INSECURE       = "ERR_WEBEID_PROTOCOL_INSECURE",
  ERR_WEBEID_TLS_CONNECTION_BROKEN   = "ERR_WEBEID_TLS_CONNECTION_BROKEN",
  ERR_WEBEID_TLS_CONNECTION_INSECURE = "ERR_WEBEID_TLS_CONNECTION_INSECURE",
  ERR_WEBEID_TLS_CONNECTION_WEAK     = "ERR_WEBEID_TLS_CONNECTION_WEAK",
  ERR_WEBEID_CERTIFICATE_CHANGED     = "ERR_WEBEID_CERTIFICATE_CHANGED",
  ERR_WEBEID_ORIGIN_MISMATCH         = "ERR_WEBEID_ORIGIN_MISMATCH",

  // Third party errors
  ERR_WEBEID_SERVER_REJECTED = "ERR_WEBEID_SERVER_REJECTED",
  ERR_WEBEID_USER_CANCELLED  = "ERR_WEBEID_USER_CANCELLED",
  ERR_WEBEID_NATIVE_FATAL    = "ERR_WEBEID_NATIVE_FATAL",

  // Developer mistakes
  ERR_WEBEID_ACTION_PENDING    = "ERR_WEBEID_ACTION_PENDING",
  ERR_WEBEID_MISSING_PARAMETER = "ERR_WEBEID_MISSING_PARAMETER",
}

export default ErrorCode;
